<html>
  <head>
    <title>Functions 3</title>
    <script>
      function execute() {
        const countWord = (text, word, register) => {
          let result = 0;
          const regexp = new RegExp(word, register ? 'ig' : 'g');
          while (regexp.exec(text)) {
            result++;
          }
          return result;
        };
        
        const output = countWord(text.value, word.value, register.checked);
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Text: <textarea id="text"></textarea></p>
    <p>Word: <input id="word" /></p>
    <p>Register: <input id="register" type="checkbox" /></p>
    <button onclick="execute()">Execute</button>
    <p id="result"></p>
  </body>
</html>
